#include "I2C.h"
#include "System.h"

#include "Arduino.h"

#include "Wire.h"

#include <util/delay.h>

unsigned char I2C_ReadByte(unsigned char cDevAddr, unsigned char cReg)   
{   
  unsigned char cResult = 0;   

  Wire.beginTransmission(cDevAddr);
  Wire.write(cReg);         
  Wire.endTransmission();

  Wire.requestFrom(cDevAddr, (uint8_t)1);
  while(Wire.available())
  {
    cResult = Wire.read();
  }
  
  return cResult;   
}   

unsigned char I2C_WriteByte(unsigned char cDevAddr, unsigned char cReg, unsigned char cData)   
{   
  Wire.beginTransmission(cDevAddr);
  Wire.write(cReg);     
  Wire.write(cData);    
  Wire.endTransmission();

  return(1);   
} 














