#ifndef SYSTEM_H_
#define SYSTEM_H_
   
#define READ_FLASH(x)  pgm_read_byte(&x)

#define BYTEH(word) (char)(word>>8)
#define BYTEL(word) (char)(word)
#define WORD(byteh,bytel) ((int)byteh<<8)|bytel	

#define KEY_DEC   	(PINB & (1 << 2))
#define KEY_SET   	(PINB & (1 << 1))
#define KEY_INC   	(PINB & (1 << 0))

#define MODE_MAX 4

#endif
