#include "Wire.h"

#include "System.h"
#include "Pal_16_9.h"
#include "Osd.h"

#include <util/delay.h>

void setup()
{
  //key in
  DDRB&=~0b00000111; 
  PORTB|=0b00000111;
  
  //reset out
  //DDRD|=0b00000001; 
  //PORTD|=0b00000001;

  Wire.begin();
  
  Serial.begin(9600);

  MXIC_Initial();
  MXIC_OSD_Initial();
}

void loop()
{
  MXIC_OSD_ShowText((unsigned char*)"Hello World!",12);
  _delay_ms(5000);
}



